/*	***************************************************************************

	PROJECT:	ValueStack
	
	FILE:		ValueStack.h
	
	PURPOSE:	The stack on which parameters and variables are kept.
				For a real platform this would hold platform-specific
				information which has to be passed in along with a system
				message to be accessed by platform-specific commands, e.g.
				the destination for GCI output etc.
		
	COPYRIGHT:	(C) Copyright 2000 by M. Uli Kusterer, all rights reserved.
				
	REACH ME AT:
				E-MAIL:		witness@weblayout.com
				URL:		http://www.weblayout.com/witness
	
	
	REVISIONS:
		2000-11-07	UK		Created.
				
	************************************************************************ */

#ifndef	VALUESTACK_H
#define VALUESTACK_H	1

#pragma mark [Headers]

/* --------------------------------------------------------------------------------
	Headers:
   ----------------------------------------------------------------------------- */

#include	"BasicValueStack.h"


#pragma mark [Class Declaration]

/* --------------------------------------------------------------------------------
	Class declaration:
   ----------------------------------------------------------------------------- */

/* Warning:	Most code should never need to access the methods of ValueStack that
			aren't inherited from BasicValueStack. Calling ValueStack-specific
			methods will make your code platform-dependent! */

class	ValueStack : public BasicValueStack
{
public:
			ValueStack() : BasicValueStack()	{};
	virtual	~ValueStack()						{};
};


#pragma mark [Prototypes]

/* --------------------------------------------------------------------------------
	Prototypes:
   ----------------------------------------------------------------------------- */










#endif /*VALUESTACK_H*/


