/*	***************************************************************************

	PROJECT:	TalkGlobalsList
	
	FILE:		TalkGlobalsList.h
	
	PURPOSE:	Map variable names to their locations on the stack.
		
	COPYRIGHT:	(C) Copyright 1999 by M. Uli Kusterer, all rights reserved.
				
	REACH ME AT:
				E-MAIL:		witness@weblayout.com
				URL:		http://www.weblayout.com/witness
	
	
	REVISIONS:
		1999-12-01	UK		Created.
				
	************************************************************************ */

#pragma once

#pragma mark [Headers]

/* --------------------------------------------------------------------------------
	Headers:
   ----------------------------------------------------------------------------- */

#include	"TalkVarValue.h"
#include	"TextMunger.h"
#include	<map>


#pragma mark [Class Declaration]

/* --------------------------------------------------------------------------------
	Class declaration:
   ----------------------------------------------------------------------------- */

class	TalkGlobalsList : public std::map<TextMunger,TalkVarValue*>
{
public:
	TalkGlobalsList() : std::map<TextMunger,TalkVarValue*>() {};
	~TalkGlobalsList();
	
	TalkValue*	GetVarByName( TextMunger &varName, bool doCreate = false );
};


#pragma mark [Prototypes]

/* --------------------------------------------------------------------------------
	Prototypes:
   ----------------------------------------------------------------------------- */













